Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451715 - Problems with Turtle beach Audio Advantage: Amigo USB sound card
Summary: Problems with Turtle beach Audio Advantage: Amigo USB sound card
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 20:51 UTC by Cole Van Vlack
Modified: 2008-06-26 18:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 18:30:07 UTC


Attachments (Terms of Use)

Description Cole Van Vlack 2008-06-16 20:51:14 UTC
Description of problem: I've been trying to use a USB sound card by Turtle Beach
called the Audio Advantage Amigo. When I plug the device in, I instantly hear a
concert crescendo sound, and when I autocomplete in a terminal I get a beep but
I have been unable to get sound working from other components, including when I
go system->preferences->hardware->sound. 

In fact when I try clicking test in system->preferences->hardware->sound, for
sound events when I have USB Audio selected I get the error "audiotestsrc
wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Could not
open audio device for playback."

Comment 1 Martin Stransky 2008-06-17 12:16:46 UTC
system-config-soundcard has been removed from F9, sound cards are managed by
pulse audio now.

Comment 2 Lennart Poettering 2008-06-17 17:23:41 UTC
Start "pavucontrol" and make the USB device your default (by right clicking on
it) or move playing streams to it. PA will then remember that setting.

Comment 3 Cole Van Vlack 2008-06-17 18:06:45 UTC
This allowed me to hear my system sounds, and after I reinstalled xmms I was
able to hear audio on it as well. I'm not able to adjust the volume through
pavucontrol or by using the volume control in the upper right corner. The
system->preferences->hardware->Volume Control only one of the settings will
allow me to adjust the volume, and for some reason the lowest volume setting is
extremely loud, and as you adjust it higher it quickly becomes unbearable with
headphones.

The audio also, still does not seem to work with flashplayer type things, like
youtube.

Comment 4 Lennart Poettering 2008-06-26 18:29:45 UTC
install libflashsupport for audio in flash. This is documented in the release notes.

It's a limitation of the hw if the lowest volume setting is not total silence.
In one of the upcoming version we will try to extend the volume range in
software so that we can provide the same volume range on all hw, regardless of
its capabilities.


Note You need to log in before you can comment on or make changes to this bug.